Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.xml
Interface LexicalUnits

    public interface LexicalUnits

This interface defines the constants that represent XML lexical units.

Field Summary
`static int` | `ANY_IDENTIFIER` Represents a 'ANY' lexical unit.
`static int` | `ATTLIST_START` Represents an ATTLIST declaration start lexical unit, i.e. '<!ATTLIST'.
`static int` | `ATTRIBUTE_FRAGMENT` Represents an attribute fragment lexical unit.
`static int` | `CDATA_IDENTIFIER` Represents a 'CDATA' lexical unit.
`static int` | `CDATA_START` Represents a CDATA section start lexical unit, i.e. '<![CDATA['.
`static int` | `CHARACTER_DATA` Represents a character data lexical unit, i.e. the content of an element.
`static int` | `CHARACTER_REFERENCE` Represents a character reference lexical unit.
`static int` | `COMMA` Represents a ',' lexical unit.
`static int` | `COMMENT` Represents a comment lexical unit.
`static int` | `DOCTYPE_START` Represents a doctype start lexical unit, i.e. <!DOCTYPE.
`static int` | `ELEMENT_DECLARATION_START` Represents a element declaration start lexical unit, i.e. '<!ELEMENT'.
`static int` | `EMPTY_ELEMENT_END` Represents an empty element end lexical unit, i.e. '/>'.
`static int` | `EMPTY_IDENTIFIER` Represents a 'EMPTY' lexical unit.
`static int` | `ENCODING_IDENTIFIER` Represents a 'encoding' lexical unit.
`static int` | `END_CHAR` Represents a end character lexical unit, i.e. '>'.
`static int` | `END_TAG` Represents an end tag lexical unit, i.e. '</Name'.
`static int` | `ENTITIES_IDENTIFIER` Represents a 'ENTITIES' lexical unit.
`static int` | `ENTITY_IDENTIFIER` Represents a 'ENTITY' lexical unit.
`static int` | `ENTITY_REFERENCE` Represents an entity reference lexical unit.
`static int` | `ENTITY_START` Represents an entity start lexical unit, i.e. '<!ENTITY'.
`static int` | `EOF` Represents the EOF lexical unit.
`static int` | `EQ` Represents '=' lexical unit.
`static int` | `FIRST_ATTRIBUTE_FRAGMENT` Represents a first attribute fragment lexical unit.
`static int` | `FIXED_IDENTIFIER` Represents a '#FIXED' lexical unit.
`static int` | `ID_IDENTIFIER` Represents a 'ID' lexical unit.
`static int` | `IDREF_IDENTIFIER` Represents a 'IDREF' lexical unit.
`static int` | `IDREFS_IDENTIFIER` Represents a 'IDREFS' lexical unit.
`static int` | `IMPLIED_IDENTIFIER` Represents a '#IMPLIED' lexical unit.
`static int` | `LAST_ATTRIBUTE_FRAGMENT` Represents a last attribute fragment lexical unit.
`static int` | `LEFT_BRACE` Represents a '(' lexical unit.
`static int` | `LSQUARE_BRACKET` Represents a '[' lexical unit.
`static int` | `NAME` Represents a name lexical unit.
`static int` | `NDATA_IDENTIFIER` Represents a 'NDATA' lexical unit.
`static int` | `NMTOKEN` Represents a Nmtoken lexical unit.
`static int` | `NMTOKEN_IDENTIFIER` Represents a 'NMTOKEN' lexical unit.
`static int` | `NMTOKENS_IDENTIFIER` Represents a 'NMTOKENS' lexical unit.
`static int` | `NOTATION_IDENTIFIER` Represents a 'NOTATION' lexical unit.
`static int` | `NOTATION_START` Represents a notation start lexical unit, i.e. '<!NOTATION'.
`static int` | `PARAMETER_ENTITY_REFERENCE` Represents a parameter entity reference lexical unit, i.e. '%Name;'.
`static int` | `PCDATA_IDENTIFIER` Represents a '#PCDATA' lexical unit.
`static int` | `PERCENT` Represents a '%' lexical unit.
`static int` | `PI_DATA` Represents a PI data lexical unit.
`static int` | `PI_END` Represents a PI end lexical unit, i.e. '?>'.
`static int` | `PI_START` Represents a PI start lexical unit, i.e. '<?Name'.
`static int` | `PIPE` Represents a '|' lexical unit.
`static int` | `PLUS` Represents a '+' lexical unit.
`static int` | `PUBLIC_IDENTIFIER` Represents a 'PUBLIC' lexical unit.
`static int` | `QUESTION` Represents a '?' lexical unit.
`static int` | `REQUIRED_IDENTIFIER` Represents a '#REQUIRED' lexical unit.
`static int` | `RIGHT_BRACE` Represents a ')' lexical unit.
`static int` | `RSQUARE_BRACKET` Represents a ']' lexical unit.
`static int` | `S` Represents the S (space) lexical unit.
`static int` | `SECTION_END` Represents a section end lexical unit, i.e. ']]>'.
`static int` | `STANDALONE_IDENTIFIER` Represents a 'standalone' lexical unit.
`static int` | `STAR` Represents a '*' lexical unit.
`static int` | `START_TAG` Represents a start tag lexical unit, i.e. '<Name'.
`static int` | `STRING` Represents a string lexical unit.
`static int` | `SYSTEM_IDENTIFIER` Represents a 'SYSTEM' lexical unit.
`static int` | `VERSION_IDENTIFIER` Represents a 'version' lexical unit.
`static int` | `XML_DECL_START` Represents an XML declaration start lexical unit, i.e. '<?xml'.

Field Detail

### EOF

    static final int EOF

  Represents the EOF lexical unit.

  See Also:
    Constant Field Values

### S

    static final int S

  Represents the S (space) lexical unit.

  See Also:
    Constant Field Values

### XML_DECL_START

    static final int XML_DECL_START

  Represents an XML declaration start lexical unit, i.e. '<?xml'.

  See Also:
    Constant Field Values

### DOCTYPE_START

    static final int DOCTYPE_START

  Represents a doctype start lexical unit, i.e. <!DOCTYPE.

  See Also:
    Constant Field Values

### COMMENT

    static final int COMMENT

  Represents a comment lexical unit.

  See Also:
    Constant Field Values

### PI_START

    static final int PI_START

  Represents a PI start lexical unit, i.e. '<?Name'.

  See Also:
    Constant Field Values

### PI_DATA

    static final int PI_DATA

  Represents a PI data lexical unit.

  See Also:
    Constant Field Values

### PI_END

    static final int PI_END

  Represents a PI end lexical unit, i.e. '?>'.

  See Also:
    Constant Field Values

### CHARACTER_DATA

    static final int CHARACTER_DATA

  Represents a character data lexical unit, i.e. the content of an element.

  See Also:
    Constant Field Values

### START_TAG

    static final int START_TAG

  Represents a start tag lexical unit, i.e. '<Name'.

  See Also:
    Constant Field Values

### END_TAG

    static final int END_TAG

  Represents an end tag lexical unit, i.e. '</Name'.

  See Also:
    Constant Field Values

### CDATA_START

    static final int CDATA_START

  Represents a CDATA section start lexical unit, i.e. '<![CDATA['.

  See Also:
    Constant Field Values

### CHARACTER_REFERENCE

    static final int CHARACTER_REFERENCE

  Represents a character reference lexical unit.

  See Also:
    Constant Field Values

### ENTITY_REFERENCE

    static final int ENTITY_REFERENCE

  Represents an entity reference lexical unit.

  See Also:
    Constant Field Values

### NAME

    static final int NAME

  Represents a name lexical unit.

  See Also:
    Constant Field Values

### EQ

    static final int EQ

  Represents '=' lexical unit.

  See Also:
    Constant Field Values

### FIRST_ATTRIBUTE_FRAGMENT

    static final int FIRST_ATTRIBUTE_FRAGMENT

  Represents a first attribute fragment lexical unit.

  See Also:
    Constant Field Values

### ATTRIBUTE_FRAGMENT

    static final int ATTRIBUTE_FRAGMENT

  Represents an attribute fragment lexical unit.

  See Also:
    Constant Field Values

### LAST_ATTRIBUTE_FRAGMENT

    static final int LAST_ATTRIBUTE_FRAGMENT

  Represents a last attribute fragment lexical unit.

  See Also:
    Constant Field Values

### EMPTY_ELEMENT_END

    static final int EMPTY_ELEMENT_END

  Represents an empty element end lexical unit, i.e. '/>'.

  See Also:
    Constant Field Values

### END_CHAR

    static final int END_CHAR

  Represents a end character lexical unit, i.e. '>'.

  See Also:
    Constant Field Values

### SECTION_END

    static final int SECTION_END

  Represents a section end lexical unit, i.e. ']]>'.

  See Also:
    Constant Field Values

### VERSION_IDENTIFIER

    static final int VERSION_IDENTIFIER

  Represents a 'version' lexical unit.

  See Also:
    Constant Field Values

### ENCODING_IDENTIFIER

    static final int ENCODING_IDENTIFIER

  Represents a 'encoding' lexical unit.

  See Also:
    Constant Field Values

### STANDALONE_IDENTIFIER

    static final int STANDALONE_IDENTIFIER

  Represents a 'standalone' lexical unit.

  See Also:
    Constant Field Values

### STRING

    static final int STRING

  Represents a string lexical unit.

  See Also:
    Constant Field Values

### SYSTEM_IDENTIFIER

    static final int SYSTEM_IDENTIFIER

  Represents a 'SYSTEM' lexical unit.

  See Also:
    Constant Field Values

### PUBLIC_IDENTIFIER

    static final int PUBLIC_IDENTIFIER

  Represents a 'PUBLIC' lexical unit.

  See Also:
    Constant Field Values

### LSQUARE_BRACKET

    static final int LSQUARE_BRACKET

  Represents a '[' lexical unit.

  See Also:
    Constant Field Values

### RSQUARE_BRACKET

    static final int RSQUARE_BRACKET

  Represents a ']' lexical unit.

  See Also:
    Constant Field Values

### ELEMENT_DECLARATION_START

    static final int ELEMENT_DECLARATION_START

  Represents a element declaration start lexical unit, i.e. '<!ELEMENT'.

  See Also:
    Constant Field Values

### ATTLIST_START

    static final int ATTLIST_START

  Represents an ATTLIST declaration start lexical unit, i.e. '<!ATTLIST'.

  See Also:
    Constant Field Values

### ENTITY_START

    static final int ENTITY_START

  Represents an entity start lexical unit, i.e. '<!ENTITY'.

  See Also:
    Constant Field Values

### NOTATION_START

    static final int NOTATION_START

  Represents a notation start lexical unit, i.e. '<!NOTATION'.

  See Also:
    Constant Field Values

### PARAMETER_ENTITY_REFERENCE

    static final int PARAMETER_ENTITY_REFERENCE

  Represents a parameter entity reference lexical unit, i.e. '%Name;'.

  See Also:
    Constant Field Values

### EMPTY_IDENTIFIER

    static final int EMPTY_IDENTIFIER

  Represents a 'EMPTY' lexical unit.

  See Also:
    Constant Field Values

### ANY_IDENTIFIER

    static final int ANY_IDENTIFIER

  Represents a 'ANY' lexical unit.

  See Also:
    Constant Field Values

### QUESTION

    static final int QUESTION

  Represents a '?' lexical unit.

  See Also:
    Constant Field Values

### PLUS

    static final int PLUS

  Represents a '+' lexical unit.

  See Also:
    Constant Field Values

### STAR

    static final int STAR

  Represents a '*' lexical unit.

  See Also:
    Constant Field Values

### LEFT_BRACE

    static final int LEFT_BRACE

  Represents a '(' lexical unit.

  See Also:
    Constant Field Values

### RIGHT_BRACE

    static final int RIGHT_BRACE

  Represents a ')' lexical unit.

  See Also:
    Constant Field Values

### PIPE

    static final int PIPE

  Represents a '|' lexical unit.

  See Also:
    Constant Field Values

### COMMA

    static final int COMMA

  Represents a ',' lexical unit.

  See Also:
    Constant Field Values

### PCDATA_IDENTIFIER

    static final int PCDATA_IDENTIFIER

  Represents a '#PCDATA' lexical unit.

  See Also:
    Constant Field Values

### CDATA_IDENTIFIER

    static final int CDATA_IDENTIFIER

  Represents a 'CDATA' lexical unit.

  See Also:
    Constant Field Values

### ID_IDENTIFIER

    static final int ID_IDENTIFIER

  Represents a 'ID' lexical unit.

  See Also:
    Constant Field Values

### IDREF_IDENTIFIER

    static final int IDREF_IDENTIFIER

  Represents a 'IDREF' lexical unit.

  See Also:
    Constant Field Values

### IDREFS_IDENTIFIER

    static final int IDREFS_IDENTIFIER

  Represents a 'IDREFS' lexical unit.

  See Also:
    Constant Field Values

### NMTOKEN_IDENTIFIER

    static final int NMTOKEN_IDENTIFIER

  Represents a 'NMTOKEN' lexical unit.

  See Also:
    Constant Field Values

### NMTOKENS_IDENTIFIER

    static final int NMTOKENS_IDENTIFIER

  Represents a 'NMTOKENS' lexical unit.

  See Also:
    Constant Field Values

### ENTITY_IDENTIFIER

    static final int ENTITY_IDENTIFIER

  Represents a 'ENTITY' lexical unit.

  See Also:
    Constant Field Values

### ENTITIES_IDENTIFIER

    static final int ENTITIES_IDENTIFIER

  Represents a 'ENTITIES' lexical unit.

  See Also:
    Constant Field Values

### REQUIRED_IDENTIFIER

    static final int REQUIRED_IDENTIFIER

  Represents a '#REQUIRED' lexical unit.

  See Also:
    Constant Field Values

### IMPLIED_IDENTIFIER

    static final int IMPLIED_IDENTIFIER

  Represents a '#IMPLIED' lexical unit.

  See Also:
    Constant Field Values

### FIXED_IDENTIFIER

    static final int FIXED_IDENTIFIER

  Represents a '#FIXED' lexical unit.

  See Also:
    Constant Field Values

### NMTOKEN

    static final int NMTOKEN

  Represents a Nmtoken lexical unit.

  See Also:
    Constant Field Values

### NOTATION_IDENTIFIER

    static final int NOTATION_IDENTIFIER

  Represents a 'NOTATION' lexical unit.

  See Also:
    Constant Field Values

### PERCENT

    static final int PERCENT

  Represents a '%' lexical unit.

  See Also:
    Constant Field Values

### NDATA_IDENTIFIER

    static final int NDATA_IDENTIFIER

  Represents a 'NDATA' lexical unit.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.